config/routes.rb
Rails.application.routes.draw do

  root to: 'home#index'

  devise_for :users, controllers: {
    registrations: 'users/registrations',
    passwords:     'users/passwords',
    sessions:      'users/sessions',
  }

  namespace :admin do
    resources :users, only: [:index]
    get '/evaluation', to: 'users#evaluation'
  end

  resources :users do
    member do
      post :details
      get :details, to: 'users#show'
      get :evaluations, to: 'users#evaluations'
    end
    collection do
      get :manual, to: 'users#manual'
    end
  end

  delete "attachements/:id/purge", to: "attachments#purge", as: "purge_attachment"
  
  resources :evaluations, only: [:index, :new, :create]
end

app/views/shared/_footer.html.erb
<footer class="mt-4 py-3 text-center">
  <% d = Date.today %>
  <small>&copy; 2022 - <%= d.year %> Scouter All Rights Reserved.</small>
</footer>

app/views/shared/_header.html.erb
<!DOCTYPE html>

<head>
  <title>スカウター(第一印象って大事)<%= yield(:title) %></title>
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>

  <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  <%= stylesheet_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  <%= favicon_link_tag %>
</head>

app/views/shared/_nav.html.erb
<nav class="navbar navbar-expand-lg navbar-light border-bottom bg-white fixed-top" width="100">
  <%= link_to 'Scouter', root_path, class: 'navbar-brand logo' %>
  <ul class="navbar-nav mr-auto mt-2 mt-lg-0 flex-row d-flex justify-content-center">
    <% if current_user %>
      <li class="nav_item">
        <%= link_to user_path(current_user), class: 'nav-link' do %>
          <i class="fa-solid fa-user lead text-wine"></i>
        <% end %>
      </li>
      <li class="nav_item">
        <%= link_to users_path, class: 'nav-link' do %>
          <i class="fa-solid fa-compass lead text-wine"></i>
        <% end %>
      </li>
      <% if !current_user.admin? %>
      <li class="nav_item">
        <%= link_to evaluations_user_path(current_user), class: 'nav-link' do %>
          <i class="fa-solid fa-face-smile lead text-wine"></i>
        <% end %>
      </li>
      <li class="nav_item">
        <%= link_to manual_users_path, class: 'nav-link' do %>
          <i class="fa-solid fa-book-open lead text-wine"></i>
        <% end %>
      </li>
      <% end %>
      <% if current_user.admin? %>
        <li class="nav_item">
          <%= link_to admin_users_path, class: 'nav-link' do %>
            <i class="fa-solid fa-id-card lead text-wine"></i>
          <% end %>
        </li>
        <li class="nav_item">
          <%= link_to admin_evaluation_path, class: 'nav-link' do %>
            <i class="fa-solid fa-chart-simple lead text-wine"></i>
          <% end %>
        </li>
      <% end %>
      <li class="nav_item">
        <%= link_to destroy_user_session_path, method: :delete, class: 'nav-link' do %>
          <i class="fa-solid fa-door-open lead text-wine"></i>
        <% end %>  
      </li>
    <% else %>
      <li class="nav_item py-4">スカウターで「印象力」を鍛える</li>
    <% end %>
  </ul>
</nav>

app/views/shared/_paginate.html.erb
<div class="nav-scroller py-1 mb-2"> 
	<nav class="d-flex"> 
    <ul class="pagination pagination-sm flex-sm-wrap"> 
      <%= will_paginate @users, :previous_label => ' &lt ', :next_label => ' &gt' %>
    </ul> 
  </nav> 
</div>